Description

One of the most common tasks a user can do in a raster workflow is to reclassify raster maps.

At this stage the raster calculator does not support conditional statements, so it is not possible to say (for example):

(ASTGTM2_N37W026_dem@1<=30)=1 OR (ASTGTM2_N37W026_dem@1>30)=2 OR (ASTGTM2_N37W026_dem@1>200)=5

the workaround is awful

(ASTGTM2_N37W026_dem@1<=30)*1 + (ASTGTM2_N37W026_dem@1>30)*2 + (ASTGTM2_N37W026_dem@1>200)*3

as the raster calc just return 1 or 0, so the user must multiply for the needed value doing also a few sums along the way (because it is not

possible to use conditions).

Related issues:

Related to QGIS Application - Bug report # 11682: Raster calculator produces ... Closed 2014-11-18

History

#1 - 2013-08-13 01:34 AM - Alexander Bruy

Probably related to #4476

#2 - 2014-04-25 11:04 AM - Michael Douchin

I agree. For example, we could use full expression syntax, such as

CASE

WHEN raster1@1 > raster2@1 THEN raster1@1

...

ELSE raster2@1

END

It is related to #4815 too

#3 - 2014-06-20 05:52 AM - Giovanni Manghi

- Target version set to Future Release - High Priority

#4 - 2017-02-15 08:22 AM - Luiz Andrade
Agreed, this would be great!

#5 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
